Loading...
Searching...
No Matches
pcl::detail::AccumulatorRGBA Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_color< boost::mpl::_1 >

## Public Member Functions

template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, std::size_t n) const

## Public Attributes

float | r = 0
float | g = 0
float | b = 0
float | a = 0

## Detailed Description

Definition at line 135 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorRGBA::IsCompatible = pcl::traits::has_color<boost::mpl::_1>

Definition at line 139 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorRGBA::add | ( | const PointT & | t | ) |

inline

Definition at line 145 of file accumulators.hpp.

References a, b, g, and r.

## get()

template<typename PointT >

void pcl::detail::AccumulatorRGBA::get | ( | PointT & | t,
|  | std::size_t | n
| ) |  | const

inline

Definition at line 154 of file accumulators.hpp.

References a, b, g, and r.

## Member Data Documentation

## a

float pcl::detail::AccumulatorRGBA::a = 0

Definition at line 142 of file accumulators.hpp.

Referenced by add(), and get().

## b

float pcl::detail::AccumulatorRGBA::b = 0

Definition at line 142 of file accumulators.hpp.

Referenced by add(), and get().

## g

float pcl::detail::AccumulatorRGBA::g = 0

Definition at line 142 of file accumulators.hpp.

Referenced by add(), and get().

## r

float pcl::detail::AccumulatorRGBA::r = 0

Definition at line 142 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp